API reference · Organization

Invites

Invite colleagues — seats are unlimited everywhere.

Base URL https://app.upfour.io/v1 · auth via Authorization: Bearer <key> · “Try it” runs from your browser — the key is kept in this tab only. Use a pls_test_ sandbox key to experiment freely.

GET /invites

scope member.write stable returns 200

ParameterInTypeNotes
limit query integer default 50
cursor query string
client_id query uuid
all_clients query boolean
q query string
sort query string
curl -s https://app.upfour.io/v1/invites \
  -H "Authorization: Bearer $UP4_API_KEY"
Try it

Sent directly from your browser to https://app.upfour.io/v1. Mutating calls get an automatic Idempotency-Key.

POST /invites

scope member.write stable returns 201

curl -s -X POST https://app.upfour.io/v1/invites \
  -H "Authorization: Bearer $UP4_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{}'
Try it

Sent directly from your browser to https://app.upfour.io/v1. Mutating calls get an automatic Idempotency-Key.

DELETE /invites/{inviteID}

scope member.write stable returns 204

ParameterInTypeNotes
inviteIDrequired path uuid
curl -s -X DELETE https://app.upfour.io/v1/invites/<inviteID> \
  -H "Authorization: Bearer $UP4_API_KEY"
Try it

Sent directly from your browser to https://app.upfour.io/v1. Mutating calls get an automatic Idempotency-Key.

POST /invites/{inviteID}/resend

scope member.write stable returns 201

ParameterInTypeNotes
inviteIDrequired path uuid
curl -s -X POST https://app.upfour.io/v1/invites/<inviteID>/resend \
  -H "Authorization: Bearer $UP4_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{}'
Try it

Sent directly from your browser to https://app.upfour.io/v1. Mutating calls get an automatic Idempotency-Key.